import { ChartService } from '../../services/chart.service';
export class Line {
    componentDidLoad() {
        this.anjLineDidLoad.emit();
    }
    init(svg, x, y, data, index) {
        const color = this.color || ChartService.colors[index || 0];
        const line = ChartService.addLine(svg, x, y, data, color);
        ChartService.addArea(svg, line, y, data, color);
        ChartService.addPoints(svg, x, y, data, color);
    }
    static get is() { return "anj-line"; }
    static get properties() { return {
        "color": {
            "type": String,
            "attr": "color"
        },
        "element": {
            "elementRef": true
        },
        "init": {
            "method": true
        }
    }; }
    static get events() { return [{
            "name": "anjLineDidLoad",
            "method": "anjLineDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
