import { ChartService } from '../../services/chart.service';
import { ChartDataService } from '../../services/chart-data.service';
export class PopoverContentSingle {
    activeDataHandler(newValue) {
        const x = newValue.data[newValue.activeIndex].x;
        const y = newValue.data[newValue.activeIndex].y;
        this.period = ChartService.calculateInterval(newValue.data);
        this.xDisplayValue = ChartDataService.xFormatter(this.period, newValue.axisConfigs.x, x);
        this.yDisplayValue = ChartDataService.yFormatter(newValue.axisConfigs.y, y);
        this.delta = PopoverContentSingle.getDelta(newValue);
    }
    static getDelta(activeData) {
        if (activeData.activeIndex === 0) {
            return undefined;
        }
        const prevY = parseInt(activeData.data[activeData.activeIndex - 1].y, 10);
        const y = parseInt(activeData.data[activeData.activeIndex].y, 10);
        return Math.round((1 - (y / prevY)) * -100);
    }
    render() {
        return (this.activeData) ? [
            h("div", { class: "main" },
                h("div", null, this.xDisplayValue),
                h("div", { class: "value" }, this.yDisplayValue),
                h("anj-delta", { delta: this.delta, period: this.period }))
        ] : undefined;
    }
    static get is() { return "anj-popover-content-single"; }
    static get properties() { return {
        "activeData": {
            "type": "Any",
            "attr": "active-data",
            "watchCallbacks": ["activeDataHandler"]
        }
    }; }
    static get style() { return "/**style-placeholder:anj-popover-content-single:**/"; }
}
